gdcm::ApplicationEntity Class Reference

ApplicationEntity. More...

`#include <gdcmApplicationEntity.h>`

Collaboration diagram for gdcm::ApplicationEntity:
[legend]

## Public Member Functions

bool | IsValid () const
void | Print (std::ostream &os) const
void | SetBlob (const std::vector< char > &v)
void | Squeeze ()

## Public Attributes

std::string | Internal

## Static Public Attributes

static const unsigned int | MaxLength = 16
static const unsigned int | MaxNumberOfComponents = 1
static const char | Padding = ' '
static const char | Separator = ' '

## Detailed Description

ApplicationEntity.

- AE Application Entity
- A string of characters that identifies an Application Entity with leading and trailing spaces (20H) being non-significant. A value consisting solely of spaces shall not be used.
- Default Character Repertoire excluding character code 5CH (the BACKSLASH \ in ISO-IR 6), and control characters LF, FF, CR and ESC.
- 16 bytes maximum

## Member Function Documentation

## IsValid()

bool gdcm::ApplicationEntity::IsValid | ( |  | ) | const

inline

## Print()

void gdcm::ApplicationEntity::Print | ( | std::ostream & | os | ) | const

inline

## SetBlob()

void gdcm::ApplicationEntity::SetBlob | ( | const std::vector< char > & | v | ) |

inline

## Squeeze()

void gdcm::ApplicationEntity::Squeeze | ( |  | ) |

inline

## Member Data Documentation

## Internal

std::string gdcm::ApplicationEntity::Internal

## MaxLength

const unsigned int gdcm::ApplicationEntity::MaxLength = 16

static

## MaxNumberOfComponents

const unsigned int gdcm::ApplicationEntity::MaxNumberOfComponents = 1

static

## Padding

const char gdcm::ApplicationEntity::Padding = ' '

static

## Separator

const char gdcm::ApplicationEntity::Separator = ' '

static

The documentation for this class was generated from the following file:

- gdcmApplicationEntity.h